#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeframever	5.101
%define		qtver		5.15.2
%define		kfname		kxmlrpcclient
#
Summary:	XML-RPC client library
Name:		kf5-%{kfname}
Version:	5.101.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/portingAids/%{kfname}-%{version}.tar.xz
# Source0-md5:	83729946f2ef3cfe5140b56312b0de78
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Xml-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	kf5-kio-devel >= %{version}
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
XML-RPC client library.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%ninja_build

%if %{with tests}
ctest
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang libkxmlrpcclient5 --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f libkxmlrpcclient5.lang
%defattr(644,root,root,755)
%doc README.md
%ghost %{_libdir}/libKF5XmlRpcClient.so.5
%attr(755,root,root) %{_libdir}/libKF5XmlRpcClient.so.*.*
%{_datadir}/qlogging-categories5/kxmlrpcclient.categories
%{_datadir}/qlogging-categories5/kxmlrpcclient.renamecategories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KXmlRpcClient
%{_libdir}/cmake/KF5XmlRpcClient
%{_libdir}/libKF5XmlRpcClient.so
%{qt5dir}/mkspecs/modules/qt_KXmlRpcClient.pri

%changelog
* Sun Dec 11 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kxmlrpcclient.git;a=log;h=master

* Sat Dec 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 4c76081
- updated to 5.101.0

* Tue Nov 15 2022 Witold Filipczyk <witekfl@poczta.onet.pl> fb9644f
- updated to 5.100.0

* Thu Nov 10 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3e2eb88
- rebuild against QT 5.15.7

* Wed Oct 12 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d1d988f
- relup

* Mon Oct 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> a6a859c
- updated to 5.99.0

* Mon Sep 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 5f51d37
- updated to 5.98.0

* Wed Aug 17 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 09a081c
- relup

* Sun Aug 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 9fc70af
- updated to 5.97.0

* Sat Jul 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> b790dec
- updated to 5.96.0

* Tue Jun 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> c9b05e7
- updated to 5.95.0

* Sat May 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> d388ff9
- updated to 5.94.0

* Tue Apr 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 9852fb4
- updated to 5.93.0

* Tue Apr 05 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 9ebf59b
- bcond_with tests

* Sun Mar 13 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 8763585
- updated to 5.92.0

* Wed Feb 16 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 9a083c5
- updated to 5.91.0

* Sat Jan 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 0cdfce3
- updated to 5.90.0

* Mon Dec 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 810304f
- updated to 5.89.0

* Sun Nov 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 937f8e8
- updated to 5.88.0

* Tue Oct 12 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 48429ac
- updated to 5.87.0

* Mon Sep 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> ad7deab
- updated to 5.86.0

